# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Summary:       Real-time Convolution Engine
Name:          jconvolver
Version:       0.9.2
Release:       alt1_4
License:       GPLv2+
Group:         Graphics
URL:           http://www.kokkinizita.net/linuxaudio/
Source0:       http://www.kokkinizita.net/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# Demo reverbs
# Don't bundle until license is cleared up
#Source1:       http://www.kokkinizita.net/linuxaudio/downloads/%{name}-reverbs.tar.bz2

Obsoletes:     jace <= 0.2.0
Provides:      jace = %{version}-%{release}
Obsoletes:     jconv <= 0.8.1
Provides:      jconv = %{version}-%{release}


BuildRequires: clthreads-devel
BuildRequires: libfftw3-devel
BuildRequires: libjack-devel
BuildRequires: libsndfile-devel
BuildRequires: zita-convolver-devel >= 3.0.2

Requires: zita-convolver >= 3.0.2
Source44: import.info

%description
Jconvolver is a real-time convolution engine. It can execute up to a 64 by 64
convolution matrix (i.e. 4096 simultaneous convolutions) as long as your CPU(s)
can handle the load. It is designed to be efficient also for sparse (e.g.
diagonal) matrices. Unused matrix elements do not take any CPY time.

%prep
#setup -q -a 1
%setup -q

# fix paths of configuration files
find config-files/ -name \*.conf \
  -exec sed -i -e "s|/audio/reverbs|%{_datadir}/%{name}/reverbs|g" {} \; \
  -exec sed -i -e "s|^#/cd |/cd |g" {} \;


# Force Fedora's optflags
sed -i -e 's|-O3|%{optflags}|' -e '/-march=native/d' source/Makefile

%build
make %{?_smp_mflags} PREFIX=%{_prefix} LIBDIR=%{_lib} -C source

%install
mkdir -p %{buildroot}%{_bindir}
make install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{_lib} -C source

# install configuration files and demo reverbs
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a config-files/* %{buildroot}%{_datadir}/%{name}
#cp -a reverbs/ %%{buildroot}%%{_datadir}/%%{name}/

%files
%doc AUTHORS README* COPYING
%{_bindir}/*
%{_datadir}/%{name}/

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_4
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_3
- initial fc import

